### Enumeration

# Qmi NasSwiPsState

since: 1.24

#### Declaration

    enum Qmi.NasSwiPsState

#### Description [src]

PS registration state. (Sierra Wireless specific).

Available since: 1.24

#### Members

`QMI_NAS_SWI_PS_STATE_ATTACHED`

  Attached.

  - Value: `0`
  - Available since: 1.24
`QMI_NAS_SWI_PS_STATE_DETACHED`

  Detached.

  - Value: `1`
  - Available since: 1.24
`QMI_NAS_SWI_PS_STATE_UNKNOWN`

  Unknown.

  - Value: `255`
  - Available since: 1.24

#### Type functions

###### qmi_nas_swi_ps_state_get_string

Gets the nickname string for the `QmiNasSwiPsState` specified at `val`.

since: 1.24